package com.yuchen.saas.parking.api.feign;

import com.yuchen.saas.parking.api.vo.ParkingCouponPageVo;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName ParkingCouponClient
 * @Description 优惠券 fegin 接口
 * @Author 张逸飞
 * @Date 2022/9/15 15:38
 */
@Component
public class ParkingCouponClientFallBack implements ParkingCouponClient {
    @Override
    public R getCoupon(String code) {
        return R.error("接口调用失败，进入熔断。");
    }

    @Override
    public R getCouponRecordInfo(String couponCode) {
        return R.error("接口调用失败，进入熔断。");
    }

    @Override
    public R getCouponPage(Map map) {
        return R.error("接口调用失败，进入熔断。");
    }

    @Override
    public R getCouponRecordPage(Map map) {
        return R.error("接口调用失败，进入熔断。");
    }

    @Override
    public R getRecordInfo(Long id) {
        return R.error("接口调用失败，进入熔断。");
    }

    @Override
    public R createRecordImg(ParkingCouponPageVo pageVo) {
        return R.error("接口调用失败，进入熔断。");
    }
}
